<?xml version="1.0" encoding="UTF-8"?><wsdl:definitions xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/" xmlns:tns="urn:ExchangeRateProviderService" xmlns:http="http://schemas.xmlsoap.org/soap/http" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/" xmlns:soapenc="http://schemas.xmlsoap.org/soap/encoding/" name="ExchangeRateProviderService" targetNamespace="urn:ExchangeRateProviderService">
   <wsdl:types/>
   <wsdl:message name="GetExchangeRatePortType_getExchangeRate_Request">
      <wsdl:part name="fromCurrency" type="xs:string"/>
      <wsdl:part name="toCurrency" type="xs:string"/>
   </wsdl:message>
   <wsdl:message name="GetExchangeRatePortType_getExchangeRate_Response">
      <wsdl:part name="exchangeRate" type="xs:float"/>
      <wsdl:part name="validRequest" type="xs:boolean"/>
   </wsdl:message>
   <wsdl:portType name="GetExchangeRatePortType">
      <wsdl:documentation>[Add documentation here]</wsdl:documentation>
      <wsdl:operation name="getExchangeRate">
         <wsdl:documentation>[Add documentation here]</wsdl:documentation>
         <wsdl:input message="tns:GetExchangeRatePortType_getExchangeRate_Request"/>
         <wsdl:output message="tns:GetExchangeRatePortType_getExchangeRate_Response"/>
      </wsdl:operation>
   </wsdl:portType>
   <wsdl:binding name="GetExchangeRatePortType_SOAPBinding" type="tns:GetExchangeRatePortType">
      <soap:binding style="rpc" transport="http://schemas.xmlsoap.org/soap/http"/>
      <wsdl:operation name="getExchangeRate">
         <soap:operation soapAction=""/>
         <wsdl:input>
            <soap:body encodingStyle="http://schemas.xmlsoap.org/soap/encoding/" namespace="urn:Services.GetExchangeRateService.Ports.GetExchangeRatePortType" use="encoded"/>
         </wsdl:input>
         <wsdl:output>
            <soap:body encodingStyle="http://schemas.xmlsoap.org/soap/encoding/" namespace="urn:Services.GetExchangeRateService.Ports.GetExchangeRatePortType" use="encoded"/>
         </wsdl:output>
      </wsdl:operation>
   </wsdl:binding>
   <wsdl:service name="ExchangeRateProviderService">
      <wsdl:port binding="tns:GetExchangeRatePortType_SOAPBinding" name="GetExchangeRatePortType">
         <soap:address location="http://services.e2ebridge.com:30000/ExchangeRateProvider/ExchangeRateProviderService/GetExchangeRatePortType"/>
      </wsdl:port>
   </wsdl:service>
</wsdl:definitions>